# module Syslog::Macros

### Public Class Methods

included(p1) click to toggle source

    static VALUE mSyslogMacros_included(VALUE mod, VALUE target)
    {
        rb_extend_object(target, mSyslogMacros);
        return mod;
    }

### Public Instance Methods

LOG_MASK(priority_level) → priority_mask click to toggle source

Generates a mask bit for a priority level. See mask=

    static VALUE mSyslogMacros_LOG_MASK(VALUE mod, VALUE pri)
    {
        return INT2FIX(LOG_MASK(NUM2INT(pri)));
    }

LOG_UPTO(priority_level) → priority_mask click to toggle source

Generates a mask value for priority levels at or below the level specified. See mask=

    static VALUE mSyslogMacros_LOG_UPTO(VALUE mod, VALUE pri)
    {
        return INT2FIX(LOG_UPTO(NUM2INT(pri)));
    }